WordPress 5.2 apporte la santé du site, de nouvelles icônes et des améliorations au bloc Gutenberg


WordPress 5.2 inclut de nouvelles fonctionnalités intéressantes, notamment la santé du nouveau site, des modifications de la version minimale de PHP, de nouvelles icônes et des améliorations apportées à la gestion de bloc.

Dernière mise à jour le

Chaque fois qu'une nouvelle version de WordPress est déployée, les fans de WordPress sont impatients de pouvoir jouer avec ses nouvelles fonctionnalités. WordPress 5.2, la dernière version du populaire CMS, est sortie le 7 mai 2019 avec plusieurs nouvelles fonctionnalités et mises à jour.

Nom de code «Jaco» en l'honneur du bassiste de jazz renommé et révolutionnaire, Jaco Pastorius, WordPress 5.2 est la deuxième version majeure de cette année après WordPress 5.1, qui a été publiée en février de cette année.

Il existe une abondance de nouveaux outils et fonctionnalités robustes dans WordPress 5.2 qui permettront aux utilisateurs de travailler avec WordPress plus facilement. Voyons-les en détail, un par un

Bilan de santé du site

La dernière version de WordPress offre des fonctionnalités pour mettre en évidence les problèmes potentiels liés à la configuration de votre site Web WordPress. La fonctionnalité nouvelle et améliorée de la fonctionnalité Contrôle de l'état du site est une nouvelle fonctionnalité passionnante qui met en évidence les problèmes qui pourraient nécessiter votre attention. Il est très lisse et facile à utiliser et est divisé en deux sections – «Statut» et «Info» sections sous le Outils> Santé du site. Dans la prochaine mise à jour, ils mettront à jour la même section pour les sites qui ont un conception sensible.

  • La section Statut vous permet de tester la santé de votre site et de fournir les correctifs nécessaires. ·
  • La section info contient plus d'informations techniques et sur le serveur.

WordPress 5.2 apporte la santé du site, de nouvelles icônes et des améliorations à Gutenberg Block 2

La source: WordPress.orgWordPress 5.2 Santé du site

La source: WordPress.org

Améliorations apportées à l'éditeur de blocs

Gutenberg, l'éditeur de blocs WordPress, a été introduit dans WordPress 5.0. Depuis lors, il a subi de nombreux changements pour le rendre encore meilleur. WordPress a ajouté de nouvelles fonctionnalités au gestionnaire de blocs afin d'améliorer l'expérience globale de l'utilisateur.

<img class = "aligncenter taille-complète wp-image-2948 jetpack-lazy-image” alt=”Bloc éditeur WordPress 5.2″ width=”688″ height=”401″ data-recalc-dims=”1″ data-lazy- src=”https://i0.wp.com/wphive.com/wp-content/uploads/2019/05/clip_image006.jpg?resize=688%2C401&is-pending-load=1#038;ssl=1″ />

· L'éditeur de blocs récemment amélioré est plus rapide que l'ancienne version de l'éditeur classique.

· Il n’est pas simplement plus rapide, il réduit également de moitié le temps d’application des touches et vous permet d’économiser 35% du temps de chargement que vous utilisiez pour de longues publications.

· Un groupe de nouveaux blocs a été ajouté à la liste actuelle de l'éditeur par défaut, notamment: bloc Amazon Kindle Embed, bloc RSS, bloc de nuage de mots-clés, sélecteur de point focal de couverture, bloc de recherche, bloc d'agenda, etc. Certains de ces blocs existaient déjà sous forme de widgets, mais on peut maintenant les voir dans les pages et les publications.

· L’éditeur de blocs prend en charge les paramètres de mouvement réduit du navigateur.

· Une version expérimentale de l'éditeur de blocs est introduite dans WordPress Application mobile.

· Un outil de gestion de bloc a également été intégré. Le gestionnaire de blocs vous permet de masquer les blocs que vous ne souhaitez pas utiliser.

Protection contre les erreurs PHP

WordPress version 5.2 permet aux administrateurs de corriger ou d'atténuer les erreurs fatales sur leur site web. Auparavant, lorsqu'une erreur fatale était détectée, il était impossible de la résoudre sans l'intervention du développeur et la modification de la base de code. Désormais, lorsqu'une erreur fatale est détectée, un message d'erreur destiné à l'utilisateur s'affiche et un courrier électronique est envoyé à l'administrateur. L'e-mail contient un lien vers une nouvelle fonctionnalité appelée «mode de récupération».

Image: erreur fatale <img class = "aligncenter taille-complète wp-image-2950 jetpack-lazy-image” alt=”Erreur fatale WordPress 5.2″ width=”682″ height=”229″ data-recalc-dims=”1″ data-lazy- src=”https://i2.wp.com/wphive.com/wp-content/uploads/2019/05/clip_image008.jpg?resize=682%2C229&is-pending-load=1#038;ssl=1″ />

En mode de récupération, tous les plug-ins et thèmes responsables des erreurs irrécupérables sont suspendus pour permettre aux administrateurs de les corriger et d'accéder généralement au back-end.

Regardez la vidéo suivante pour savoir comment WordPress 5.2 traite les erreurs fatales. Ce nouveau mode de récupération d’erreur fatale est excellent pour rechercher et résoudre les problèmes.

Administrateurs avoir trois façons pour corriger les erreurs:

· Thème ou plug-in peut être désactivé maintenir une version de travail du site.

· Les thèmes et les plug-ins peuvent être réactivés après que l'erreur a été corrigée.

· Admin peut déposer une demande d'assistance avec le développeur, soulignant l'erreur.

Nouvelles icônes du tableau de bord

13 nouvelles icônes de tableau de bord, y compris une icône pour Instagram, une suite d'icônes pour BuddyPress et des icônes de la Terre en rotation ont été incluses dans la nouvelle version de WordPress.

<img class = "aligncenter taille-complète wp-image-2952 jetpack-lazy-image” alt=”Nouvelles icônes du tableau de bord” width=”780″ height=”349″ data-recalc-dims=”1″ data-lazy- src=”https://i0.wp.com/wphive.com/wp-content/uploads/2019/05/clip_image010.jpg?resize=780%2C349&is-pending-load=1#038;ssl=1″ />

Mise à jour des exigences PHP

Avec la version WordPress 5.2, il vous sera demandé de mettre à jour votre PHP pour pouvoir exécuter les plugins en douceur. La version PHP minimum supportée est maintenant 5.6.20. Si vous utilisez une ancienne version de PHP, vous devrez mettre à jour votre PHP avant d'installer WordPress 5.2. L’équipe de base de WordPress envisage d’augmenter progressivement les exigences minimales de la version PHP au fur et à mesure que les nouvelles versions de PHP seront disponibles.

WordPress 5.2 Requis en PHP

Confidentialité améliorée

La nouvelle version de WordPress offre un composant amélioré de politique de confidentialité avec l’ajout de quatre nouvelles fonctionnalités, ce qui facilite la conception et la personnalisation de la page Politique de confidentialité. Dans la dernière version de WordPress, les restrictions relatives aux balises pour les exportations de données utilisateur ont également été assouplies.

Avez-vous déjà mis à jour WordPress 5.2? La dernière version de WordPress, version 5.2 est disponible au téléchargement sur WordPress.org

Laisser un commentaire

Fermer le menu